--- old/usr/src/uts/common/fs/vfs.c	Mon Jan 14 13:17:03 2019
+++ new/usr/src/uts/common/fs/vfs.c	Mon Jan 14 13:17:03 2019
@@ -21,7 +21,7 @@
 
 /*
  * Copyright (c) 1988, 2010, Oracle and/or its affiliates. All rights reserved.
- * Copyright 2016 Joyent, Inc.
+ * Copyright (c) 2018, Joyent, Inc.
  * Copyright 2016 Toomas Soome <tsoome@me.com>
  * Copyright (c) 2016, 2017 by Delphix. All rights reserved.
  * Copyright 2016 Nexenta Systems, Inc.
@@ -1061,8 +1061,7 @@
 
 out:
 	ldi_ident_release(ldi_id);
-	if (li != NULL)
-		kmem_free(li, sizeof (*li));
+	kmem_free(li, sizeof (*li));
 }
 
 /*
@@ -4232,7 +4231,7 @@
 	for (vswp = &vfssw[1]; vswp < &vfssw[nfstype]; vswp++) {
 		RLOCK_VFSSW();
 		if (vswp->vsw_init != NULL)
-			(*vswp->vsw_init)(vswp - vfssw, vswp->vsw_name);
+			(void) (*vswp->vsw_init)(vswp - vfssw, vswp->vsw_name);
 		RUNLOCK_VFSSW();
 	}
 
